namespace baoge.Admin
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
    using System.Web.Security;
	/// <summary>
	///		UserReg 的摘要说明。
	/// </summary>
	public class UserReg : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.TextBox UserName;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.TextBox APassword;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
		protected System.Web.UI.WebControls.TextBox CPassword;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.Button SubMit;

		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		设计器支持所需的方法 - 不要使用代码编辑器
		///		修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.SubMit.Click += new System.EventHandler(this.SubMit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void SubMit_Click(object sender, System.EventArgs e)
		{
			
			//对判断输入的密码和输入的确认密码是否一致
			if(CPassword.Text!=APassword.Text)//如果不一致
			{
				Response.Write("<script>alert('确认密码不正确！');</script>");
				Response.Write("<script>history.go(-1);</script>");

			}
			else//一致
			{
			
				UserRegDb regdb=new UserRegDb();//引入（实例化）数据库操作类
				//定义所需SQL语句
				string UserRegSqlSelect="select count(*) from Admin where UserName='"+UserName.Text+"'";
				//通过传值SQL语句到类里的函数，并执行，得到值
				int Ci=regdb.UserRegSelect(UserRegSqlSelect);
				if(Ci>0)//如果有返回值并>0说明，用户已存在
				{
					Response.Write("<script>alert('此用户名已被注册！');</script>");
					Response.Write("<script>history.go(-1);</script>");

				}
				else//用户不存在，则执行以下注册用户（插入用户数据到表）操作
				{
					//用MD5加密密码
					string APasswordT=FormsAuthentication.HashPasswordForStoringInConfigFile(APassword.Text,"MD5").ToLower().Substring(8,16);
					//定义所需SQL
					string UserRegSql="insert into Admin (UserName,APassword)values('"+UserName.Text+"','"+APasswordT+"')";
					//通过传值SQL语句到类里的函数，并执行，得到值
					int i=regdb.UserReg(UserRegSql);
					if(i==1)//如果有返回值并>0说明插入数据操作成功
					{
						Response.Write("<script>alert('用户注册成功！');</script>");

						Response.Write("<script>history.go(-2);</script>");
					}
					else
					{
						Response.Write("<script>alert('用户注册失败！');</script>");

					}
				}
			}
		}
	}
}
